org.eclipse.rdf4j.federated.algebra

## Class EmptyNUnion

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.federated.algebra.NTuple
    - - org.eclipse.rdf4j.federated.algebra.EmptyNUnion

- All Implemented Interfaces:
    Serializable, Cloneable, EmptyResult, QueryRef, GraphPatternGroupable, QueryModelNode, TupleExpr, VariableScopeChange

      public class EmptyNUnion
      extends NTuple
      implements EmptyResult

  Algebra construct representing an empty union.
  Author:
    Andreas Schwarte
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.federated.algebra.NTuple

      `args, queryInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyNUnion(List<TupleExpr> args, QueryInfo queryInfo)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.federated.algebra.NTuple

      `clone, getArg, getArgs, getAssuredBindingNames, getBindingNames, getNumberOfArguments, getQueryInfo, replaceChildNode, visit, visitChildren`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `equals, getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString`

- - ### Constructor Detail

    - #### EmptyNUnion

          public EmptyNUnion(List<TupleExpr> args,
                             QueryInfo queryInfo)

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.